Apps importing UITK 1.2 or older print a lot of UCDeprecatedTheme deprecation notes

Bug #1456350 reported by Tim Peeters
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
phablet-tools (Ubuntu)
Undecided
Unassigned
ubuntu-ui-toolkit (Ubuntu)
Critical
Unassigned

Bug Description

We should not be printing these warnings in UITK <= 1.2 because there using 'Theme' instead of 'theme' is a valid way of doing stuff.

Also it slows down the app because it prints hundreds of these warnings some times.

For example, running this on device results in OK:
SUPPRESS_DEPRECATED_NOTE=yes autopilot3 run ubuntu_system_settings.tests.test_about.StorageTestCase.test_disk

but when I leave out the 'SUPPRESS_DEPRECATED_NOTE=yes', the test fails.

Related branches

Tim Peeters (tpeeters)
description: updated
Revision history for this message
Tim Peeters (tpeeters) wrote :

phablet@ubuntu-phablet:~$ SUPPRESS_DEPRECATED_NOTE=yes autopilot3 run ubuntu_system_settings.tests.test_about.StorageTestCase

Loading tests from: /usr/lib/python3/dist-packages

Tests running...

Ran 9 tests in 265.605s
OK
phablet@ubuntu-phablet:~$

HURRAY \o/

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package phablet-tools - 1.1+15.10.20150519-0ubuntu1

---------------
phablet-tools (1.1+15.10.20150519-0ubuntu1) wily; urgency=medium

  [ Zoltán Balogh ]
  * Suppress warnings about deprecated UITK APIS during AP tests. Fixes
    LP: #1456350 (LP: #1456350)

 -- CI Train Bot <email address hidden> Tue, 19 May 2015 07:35:19 +0000

Changed in phablet-tools (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers